Download it now!
Bug 78292 - FILESAVE: File Corruption: Tags related to checkbox are being written in text tag for sdt content.
Summary: FILESAVE: File Corruption: Tags related to checkbox are being written in text...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Umesh Kadam
URL:
Whiteboard: BSA target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-05 10:43 UTC by Umesh Kadam
Modified: 2014-05-12 22:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File contains tables and sdt content (572.40 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-05-05 10:43 UTC, Umesh Kadam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Umesh Kadam 2014-05-05 10:43:36 UTC
Created attachment 98466 [details]
File contains tables and sdt content

Problem description: 

Steps to reproduce:
1. Open the file in LO.
2. Save as docx.
3. Open the file in MSO.

Current behavior:
RT file is resulting in corruption

Expected behavior:
File should open without any corruption.

              
Operating System: All
Version: 4.3.0.0.alpha0+ Master
Comment 1 Jorendc 2014-05-05 16:44:44 UTC
Repro, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: 82a623fb08afc72decb78f061b751a43ae503678
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-05_06:37:16

Kind regards,
Joren
Comment 2 Commit Notification 2014-05-09 12:09:22 UTC
umeshkadam committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=273e73c8963e0ce4d52e938cedafa9041144d4e5

fdo#78292: Tags related to checkbox r being written in text tag for sdt cntnt.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-05-12 22:23:16 UTC
No corruption anymore, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha1+
Build ID: cc4a3f1a88afff114311bddf462ca4bc00a485c7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-05-12_09:05:53

Kind regards,
Joren